## DOCKER
DOCKER_APP_PORT=80
DOCKER_SAIL_XDEBUG_MODE=develop,debug
DOCKER_SAIL_XDEBUG_CONFIG=client_host=host.docker.internal
DOCKER_FORWARD_MYSQL_PORT=3306
DOCKER_FORWARD_REDIS_PORT=6377
##

LOCAL_HOST="http://witcher-wiki-api.local"
DEVELOPMENT_HOST="http://witcher-wiki-api.local"

APP_NAME="Witcher Wiki API - Laravel"
APP_ENV=testing
APP_KEY=
APP_DEBUG=true
APP_URL="${LOCAL_HOST}:${DOCKER_APP_PORT}"

LOG_CHANNEL=daily
LOG_DEPRECATIONS_CHANNEL=null
LOG_LEVEL=debug

DB_CONNECTION=mysql_test
DB_HOST=mysql
DB_PORT=3306
DB_DATABASE=witcher_wiki_api_laravel_test
DB_USERNAME=sail
DB_PASSWORD=password

BROADCAST_DRIVER=log
CACHE_DRIVER=file
FILESYSTEM_DRIVER=local
QUEUE_CONNECTION=sync
SESSION_DRIVER=file
SESSION_LIFETIME=120

MEMCACHED_HOST=127.0.0.1

REDIS_HOST=redis
REDIS_PASSWORD=null
REDIS_PORT=6379

MAIL_MAILER=smtp
MAIL_HOST=mailhog
MAIL_PORT=1025
MAIL_USERNAME=null
MAIL_PASSWORD=null
MAIL_ENCRYPTION=null
MAIL_FROM_ADDRESS=null
MAIL_FROM_NAME="${APP_NAME}"

AWS_ACCESS_KEY_ID=
AWS_SECRET_ACCESS_KEY=
AWS_DEFAULT_REGION=us-east-1
AWS_BUCKET=
AWS_USE_PATH_STYLE_ENDPOINT=false

PUSHER_APP_ID=
PUSHER_APP_KEY=
PUSHER_APP_SECRET=
PUSHER_APP_CLUSTER=mt1

MIX_PUSHER_APP_KEY="${PUSHER_APP_KEY}"
MIX_PUSHER_APP_CLUSTER="${PUSHER_APP_CLUSTER}"

## LARAVEL TELESCOPE
TELESCOPE_ENABLED=true
##

## L5 LARAVEL SWAGGER
L5_SWAGGER_CONST_LOCAL_V1_HOST="${LOCAL_HOST}:${DOCKER_APP_PORT}/draconid/v1"
L5_SWAGGER_CONST_DEVELOPMENT_V1_HOST="${DEVELOPMENT_HOST}:${DOCKER_APP_PORT}/draconid/v1"
L5_SWAGGER_GENERATE_ALWAYS=false
##

## AUTH0
AUTH0_STRATEGY=api
AUTH0_DOMAIN=
AUTH0_CLIENT_ID=
AUTH0_AUDIENCE=
##

## FIREWALL
FIREWALL_ENABLED=false
##
